Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.io.exporttographic
Class ExportToGraphicDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.webinsel.util.swing.OkCancelApplyDialog
                              info.webinsel.util.swing.OkCancelApplyHelpDialog
                                  info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
                                      info.bioinfweb.treegraph.gui.dialogs.EditDialog
                                          info.bioinfweb.treegraph.gui.dialogs.io.FileDialog
                                              info.bioinfweb.treegraph.gui.dialogs.io.exporttographic.ExportToGraphicDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class ExportToGraphicDialog

extends FileDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class info.bioinfweb.treegraph.gui.dialogs.io.FileDialog
`FileDialog.Option`

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private float` | `aspectRatio`
`private javax.swing.ButtonGroup` | `commandGroup`
`private javax.swing.JPanel` | `commandPanel`
`private java.text.DecimalFormat` | `decimalFormat`
`private javax.swing.JPanel` | `dimensionsPanel`
`private javax.swing.JFileChooser` | `fileChooser`
`private javax.swing.JPanel` | `fileChooserPanel`
`private javax.swing.JLabel` | `heightLabel`
`private javax.swing.JTextField` | `heightTextField`
`private javax.swing.JPanel` | `jContentPane`
`private int` | `lastSelection` Used to convert the width and height values if their unit is changed by the user.
`private javax.swing.JRadioButton` | `noneRadioButton`
`private javax.swing.JRadioButton` | `openRadioButton`
`private javax.swing.JPanel` | `outerPreferencesPanel`
`private PreferencesPanel` | `preferencesPanel`
`private javax.swing.JRadioButton` | `printRadioButton`
`private ResolutionInput` | `resolutionInput`
`private static long` | `serialVersionUID`
`private javax.swing.JLabel` | `spacerLabel`
`private TreeInternalFrame` | `treeFrame`
`static java.lang.String` | `UNIT_MILLIMETERS`
`static java.lang.String` | `UNIT_PIXELS`
`static java.lang.String` | `UNIT_POINTS`
`private javax.swing.JComboBox` | `unitComboBox`
`private javax.swing.JLabel` | `widthLabel`
`private javax.swing.JTextField` | `widthTextField`

Fields inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`UNDEFINED_HELP_CODE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExportToGraphicDialog(java.awt.Frame owner)`

Method Summary
`private float` | `convertToPixels(java.lang.String text)`
`private void` | `convertValue(javax.swing.JTextField textField, java.awt.event.ItemEvent e)`
`private boolean` | `dimensionsInPixels()`
`boolean` | `execute(Document document, TreeSelection selection, NodeBranchDataAdapter selectedAdapter)` This method throws a Runtime exception if it is called.
`boolean` | `execute(TreeInternalFrame frame)` This method should be called instead of `ExportToGraphicDialog#execute(Document, TreeSelection)`.
`javax.swing.ButtonGroup` | `getCommandGroup()`
`private javax.swing.JPanel` | `getCommandPanel()` This method initializes commandPanel
`private javax.swing.JPanel` | `getDimensionsPanel()` This method initializes pngPanel
`protected javax.swing.JFileChooser` | `getFileChooser()` This method initializes fileChooser.
`private javax.swing.JPanel` | `getFileChooserPanel()` This method initializes fileChooserPanel
`private GraphicFormat` | `getFormat()` Returns the graphic format the user selected.
`private javax.swing.JTextField` | `getHeightTextField()` This method initializes heightTextField
`private GraphicWriterHints` | `getHints()` Returns the graphic writer hints that have been specified by the user.
`private float` | `getImageHeight()` Return the height entered by the user in pixels or millimeters.
`private float` | `getImageWidth()` Returns the width entered by the user in pixels or millimeters.
`private javax.swing.JPanel` | `getJContentPane()` This method initializes jContentPane
`private javax.swing.JRadioButton` | `getNoneRadioButton()` This method initializes noneRadioButton
`private javax.swing.JRadioButton` | `getOpenRadioButton()` This method initializes openRadioButton
`private javax.swing.JPanel` | `getOuterPreferencesPanel()` This method initializes preferencesPanel
`private float` | `getPixelsPerMillimeter()`
`private javax.swing.JRadioButton` | `getPrintRadioButton()` This method initializes printRadioButton
`protected java.io.File` | `getSelectedFile()` Returns the selected file with a valid extension.
`private javax.swing.JComboBox` | `getUnitComboBox()` This method initializes unitComboBox
`private javax.swing.JTextField` | `getWidthTextField()` This method initializes widthTextField
`private void` | `initialize()` This method initializes this
`protected boolean` | `onApply(java.io.File file)` This method is called in the implementation of apply if an valid file was selected.
`protected boolean` | `onExecute()`
`private void` | `setPereferencesPanel(GraphicFormat format)`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.io.FileDialog
`apply`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.EditDialog
`getDocument, getSelectedAdapter, getSelection, setDocument, setSelectedAdapter, setSelection`

Methods inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`getHelpCode, getWikiHelp, help, setHelpCode`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyHelpDialog
`addMoreButtons`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyDialog
`execute, getApplyButton, getButtonsPanel, getCancelButton, getOkButton`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNIT_MILLIMETERS

    public static final java.lang.String UNIT_MILLIMETERS

See Also:
  Constant Field Values

### UNIT_POINTS

    public static final java.lang.String UNIT_POINTS

See Also:
  Constant Field Values

### UNIT_PIXELS

    public static final java.lang.String UNIT_PIXELS

See Also:
  Constant Field Values

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### jContentPane

    private javax.swing.JPanel jContentPane

### dimensionsPanel

    private javax.swing.JPanel dimensionsPanel

### resolutionInput

    private ResolutionInput resolutionInput

### widthLabel

    private javax.swing.JLabel widthLabel

### heightLabel

    private javax.swing.JLabel heightLabel

### widthTextField

    private javax.swing.JTextField widthTextField

### heightTextField

    private javax.swing.JTextField heightTextField

### unitComboBox

    private javax.swing.JComboBox unitComboBox

### spacerLabel

    private javax.swing.JLabel spacerLabel

### fileChooser

    private javax.swing.JFileChooser fileChooser

### fileChooserPanel

    private javax.swing.JPanel fileChooserPanel

### outerPreferencesPanel

    private javax.swing.JPanel outerPreferencesPanel

### commandPanel

    private javax.swing.JPanel commandPanel

### openRadioButton

    private javax.swing.JRadioButton openRadioButton

### printRadioButton

    private javax.swing.JRadioButton printRadioButton

### noneRadioButton

    private javax.swing.JRadioButton noneRadioButton

### commandGroup

    private javax.swing.ButtonGroup commandGroup

### lastSelection

    private int lastSelection

  Used to convert the width and height values if their unit is changed by the user.

### decimalFormat

    private java.text.DecimalFormat decimalFormat

### aspectRatio

    private float aspectRatio

### preferencesPanel

    private PreferencesPanel preferencesPanel

### treeFrame

    private TreeInternalFrame treeFrame

Constructor Detail

### ExportToGraphicDialog

    public ExportToGraphicDialog(java.awt.Frame owner)

Parameters:
  `owner` -

Method Detail

### execute

    public boolean execute(Document document,
                           TreeSelection selection,
                           NodeBranchDataAdapter selectedAdapter)

  This method throws a Runtime exception if it is called. Use `ExportToGraphicDialog#execute(Document, TreeSelection)` instead.

  Overrides:
    `execute` in class `EditDialog`

### execute

    public boolean execute(TreeInternalFrame frame)

  This method should be called instead of `ExportToGraphicDialog#execute(Document, TreeSelection)`.

  Parameters:
    `frame` -
  Returns:
  See Also:
    `info.bioinfweb.treegraph.gui.dialogs.EditDialog#execute(info.bioinfweb.treegraph.document.Document, info.bioinfweb.treegraph.gui.treeframe.TreeSelection)`

### onExecute

    protected boolean onExecute()

  Specified by:
    `onExecute` in class `EditDialog`

### convertToPixels

    private float convertToPixels(java.lang.String text)

### getImageWidth

    private float getImageWidth()

  Returns the width entered by the user in pixels or millimeters. (Use `dimensionsInPixels()` to dertermine the unit.)

  Returns:
    the width the image should have

### getImageHeight

    private float getImageHeight()

  Return the height entered by the user in pixels or millimeters. (Use `dimensionsInPixels()` to dertermine the unit.)

  Returns:
    the height the image should have

### getPixelsPerMillimeter

    private float getPixelsPerMillimeter()

### dimensionsInPixels

    private boolean dimensionsInPixels()

### getFormat

    private GraphicFormat getFormat()

  Returns the graphic format the user selected.

  Returns:

### getHints

    private GraphicWriterHints getHints()

  Returns the graphic writer hints that have been specified by the user. This also includes format specific hints.

  Returns:

### getSelectedFile

    protected java.io.File getSelectedFile()

  Returns the selected file with a valid extension.

  Overrides:
    `getSelectedFile` in class `FileDialog`
  Returns:

### onApply

    protected boolean onApply(java.io.File file)

  Description copied from class: `FileDialog`
  This method is called in the implementation of apply if an valid file was selected.

  Specified by:
    `onApply` in class `FileDialog`
  Parameters:
    `file` - - the file selected by the user
  Returns:

### convertValue

    private void convertValue(javax.swing.JTextField textField,
                              java.awt.event.ItemEvent e)

### setPereferencesPanel

    private void setPereferencesPanel(GraphicFormat format)

### initialize

    private void initialize()

  This method initializes this

### getJContentPane

    private javax.swing.JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getDimensionsPanel

    private javax.swing.JPanel getDimensionsPanel()

  This method initializes pngPanel

  Returns:
    javax.swing.JPanel

### getWidthTextField

    private javax.swing.JTextField getWidthTextField()

  This method initializes widthTextField

  Returns:
    javax.swing.JTextField

### getHeightTextField

    private javax.swing.JTextField getHeightTextField()

  This method initializes heightTextField

  Returns:
    javax.swing.JTextField

### getUnitComboBox

    private javax.swing.JComboBox getUnitComboBox()

  This method initializes unitComboBox

  Returns:
    javax.swing.JComboBox

### getFileChooser

    protected javax.swing.JFileChooser getFileChooser()

  This method initializes fileChooser.

  It should only be called if `GraphicWriterFactory` contains at least one file filter.

  Specified by:
    `getFileChooser` in class `FileDialog`
  Returns:
    javax.swing.JPanel

### getFileChooserPanel

    private javax.swing.JPanel getFileChooserPanel()

  This method initializes fileChooserPanel

  Returns:
    javax.swing.JPanel

### getOuterPreferencesPanel

    private javax.swing.JPanel getOuterPreferencesPanel()

  This method initializes preferencesPanel

  Returns:
    javax.swing.JPanel

### getCommandPanel

    private javax.swing.JPanel getCommandPanel()

  This method initializes commandPanel

  Returns:
    javax.swing.JPanel

### getOpenRadioButton

    private javax.swing.JRadioButton getOpenRadioButton()

  This method initializes openRadioButton

  Returns:
    javax.swing.JRadioButton

### getPrintRadioButton

    private javax.swing.JRadioButton getPrintRadioButton()

  This method initializes printRadioButton

  Returns:
    javax.swing.JRadioButton

### getNoneRadioButton

    private javax.swing.JRadioButton getNoneRadioButton()

  This method initializes noneRadioButton

  Returns:
    javax.swing.JRadioButton

### getCommandGroup

    public javax.swing.ButtonGroup getCommandGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD